Groovy Documentation

## org.codehaus.groovy.grails.web.servlet
[Java] Class WrappedResponseHolder

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.WrappedResponseHolder

    public class WrappedResponseHolder

A holder for the original Wrapped response for use when using includes.

Authors:
  Graeme Rocher

Since:
  0.5

Method Summary
`static HttpServletResponse` | `getWrappedResponse()` Return the HttpServletResponse currently bound to the thread.
`static void` | `setWrappedResponse(HttpServletResponse response)` Bind the given HttpServletResponse to the current thread.

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getWrappedResponse

    public static HttpServletResponse getWrappedResponse()

  Return the HttpServletResponse currently bound to the thread.
  Returns:
    the HttpServletResponse currently bound to the thread, or `null`

### setWrappedResponse

    public static void setWrappedResponse(HttpServletResponse response)

  Bind the given HttpServletResponse to the current thread.
  Parameters:
    `response` - the HttpServletResponse to expose

Groovy Documentation